#ifndef DEVICE_H
#define DEVICE_H

#include <stdlib.h>
#include "utils/array.h"

typedef struct DEVICE device_t;

// Device layer
void device_init();
array_t* device_get_array();

// Handling a single device
device_t* device_register(void* driver, void* handle);
char* device_get_image(device_t* device);
char* device_get_name(device_t* device);

#endif